Package org.apache.struts2.views.util

# Interface UrlHelper

All Known Implementing Classes:
  `DefaultUrlHelper`

public interface UrlHelper
Helper class used to build Urls or parse request params

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `AMP`
  `static final int`
  `DEFAULT_HTTP_PORT`
  Default HTTP port (80).
  `static final int`
  `DEFAULT_HTTPS_PORT`
  Default HTTPS port (443).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `buildUrl(String action, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, Map<String,Object> params)`
  `String`
  `buildUrl(String action, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, Map<String,Object> params, String scheme, boolean includeContext, boolean encodeResult)`
  `String`
  `buildUrl(String action, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, Map<String,Object> params, String scheme, boolean includeContext, boolean encodeResult, boolean forceAddSchemeHostAndPort)`
  `String`
  `buildUrl(String action, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, Map<String,Object> params, String scheme, boolean includeContext, boolean encodeResult, boolean forceAddSchemeHostAndPort, boolean escapeAmp)`

- ## Field Details

  - ### DEFAULT_HTTP_PORT

    static final int DEFAULT_HTTP_PORT
    Default HTTP port (80).
    See Also:
      - Constant Field Values

  - ### DEFAULT_HTTPS_PORT

    static final int DEFAULT_HTTPS_PORT
    Default HTTPS port (443).
    See Also:
      - Constant Field Values

  - ### AMP

    static final String AMP
    See Also:
      - Constant Field Values

- ## Method Details

  - ### buildUrl

    String buildUrl(String action, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, Map<String,Object> params)

  - ### buildUrl

    String buildUrl(String action, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, Map<String,Object> params, String scheme, boolean includeContext, boolean encodeResult)

  - ### buildUrl

    String buildUrl(String action, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, Map<String,Object> params, String scheme, boolean includeContext, boolean encodeResult, boolean forceAddSchemeHostAndPort)

  - ### buildUrl

    String buildUrl(String action, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, Map<String,Object> params, String scheme, boolean includeContext, boolean encodeResult, boolean forceAddSchemeHostAndPort, boolean escapeAmp)